Redmine - Defect #931

Plugin tabs don't get marked as "selected” when active.
2008-03-26 06:03 - Jeremy Jackson

Status: Closed Start date: 2008-03-26
Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

I've not been able to find a plugin that adds a tab that has that tab "selected" when that plugin is active.

As found in other plugins:

menu :project_menu, "Todos", :controller => 'todo_lists', :action => 'index'

puts "Todos" into the menu but is not marked as the active section when navigated to.

But what's really wanted by Redmine:

menu :project_menu, :todo_lists, :controller => 'todo_lists', :action => 'index'

puts "Todo lists" into the menu.

This doesn't pose a problem and isn't really a bug, but | was unable to locate a way to pass in a string that may differ from the
controller name.

History

#1 - 2008-03-26 20:49 - Jim Mulholland

Good catch, Jeremy!

| updated my redmine_google_calendar plugin with this update. Worked like a champ!
| would probably throw a post on the forums about this also.

Thanks!

Jim

#2 - 2008-05-18 10:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

By default, the menu name is the controller name (eg. :todo_lists) but you can override it in the controller with:
menu_item :whatever

or for a particular action only:

menu_item :specific_item, :only => :some_action

Example here: source:trunk/app/controllers/issues_controller.rb@1356#L.20
https://www.redmine.org/projects/redmine/repository/svn/revisions/1356/entry/trunk/app/controllers/issues_controller.rb#L20
